Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.migration
Class InstantMessagingServerMapper

    java.lang.Object
      com.atlassian.bamboo.migration.BambooMapper
          com.atlassian.bamboo.migration.InstantMessagingServerMapper

All Implemented Interfaces:
  Mapper

    public class InstantMessagingServerMapper

extends BambooMapper

Field Summary
`static String` | `IMSERVER_XML_HOST`
`static String` | `IMSERVER_XML_ID`
`static String` | `IMSERVER_XML_NAME`
`static String` | `IMSERVER_XML_NODE`
`static String` | `IMSERVER_XML_PASSWORD`
`static String` | `IMSERVER_XML_PORT`
`static String` | `IMSERVER_XML_ROOT`
`static String` | `IMSERVER_XML_SSL`
`static String` | `IMSERVER_XML_USERNAME`

Fields inherited from class com.atlassian.bamboo.migration.BambooMapper
`GENERIC_XML_CREATIONDATE, GENERIC_XML_ID, GENERIC_XML_MODIFICATIONDATE, sdf`

Constructor Summary
`InstantMessagingServerMapper()`

Method Summary
`Element` | `exportXml()`
`void` | `importXml(Element root)`
`void` | `setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`

Methods inherited from class com.atlassian.bamboo.migration.BambooMapper
`exportDefaults, getOptionalString, populateDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMSERVER_XML_ROOT

    public static final String IMSERVER_XML_ROOT

See Also:
  Constant Field Values

### IMSERVER_XML_NODE

    public static final String IMSERVER_XML_NODE

See Also:
  Constant Field Values

### IMSERVER_XML_ID

    public static final String IMSERVER_XML_ID

See Also:
  Constant Field Values

### IMSERVER_XML_NAME

    public static final String IMSERVER_XML_NAME

See Also:
  Constant Field Values

### IMSERVER_XML_HOST

    public static final String IMSERVER_XML_HOST

See Also:
  Constant Field Values

### IMSERVER_XML_PORT

    public static final String IMSERVER_XML_PORT

See Also:
  Constant Field Values

### IMSERVER_XML_USERNAME

    public static final String IMSERVER_XML_USERNAME

See Also:
  Constant Field Values

### IMSERVER_XML_PASSWORD

    public static final String IMSERVER_XML_PASSWORD

See Also:
  Constant Field Values

### IMSERVER_XML_SSL

    public static final String IMSERVER_XML_SSL

See Also:
  Constant Field Values

Constructor Detail

### InstantMessagingServerMapper

    public InstantMessagingServerMapper()

Method Detail

### exportXml

    public Element exportXml()

### importXml

    public void importXml(Element root)
                   throws Exception

  Throws:
    `Exception`

### setInstantMessagingServerManager

    public void setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.